Name: libmt
Version: 0.01
Release: alt3

Summary: Multitran dictionary libraries
License: GPL
Group: System/Libraries
Packager: Peter Novodvorsky <nidd@altlinux.com>
Url: http://www.multitran.ru

Source: libmt-%version.tar.gz
Patch1: libmt-0.01-fattie-path-alt.patch
Patch2: libmt-0.01-env-alt.patch

# Automatically added by buildreq on Tue May 13 2003
BuildRequires: gcc-c++ glibc-devel-static libstdc++-devel

%package devel
Summary: Header files and libraries for developing apps which will use %name
Group: Development/C
Requires: %name = %version-%release

%package devel-static
Summary: Header files and libraries for developing apps which will use %name
Group: Development/C
Requires: %name = %version-%release

%package utils
Summary: Contains library utils that use %name
Group: System/Internationalization  
Requires: %name = %version-%release, multitran-data

%prep
%setup -q
%patch1 -p1
%patch2 -p1

%description
multitran dictionary library

%description devel
The %name-devel package contains the header files and libraries needed
to develop programs that use the %name library.

%description devel-static
Static libraries for %name.

%description utils
Utilitis for %name
 fattie - utility for translating words

%build
%configure --enable-shared
%make_build

%install
%makeinstall transform=

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%_libdir/*.so.*

%files devel
%_libdir/*.so
%_libdir/*.la
%_includedir/*
%doc AUTHORS NEWS README TODO

%files devel-static
%_libdir/*.a

%files utils
%_mandir/man?/*
%_bindir/*

%changelog
* Tue May 13 2003 Alexander Bokovoy <ab@altlinux.ru> 0.01-alt3
- Activate temprorary patch as it was not activated in 0.01-alt2
  resulting in non-working fattie utility.
- Fixed:
   + BuildRequires (were absent completely)
   + environmental check in noclass.cpp

* Sat Feb 09 2003 Peter A. Novodvorsky <nidd@altlinux.com> 0.01-alt2
- included Bokovoy's temporary patch.

* Fri Feb 08 2003 Peter A. Novodvorsky <nidd@altlinux.com> 0.01-alt1
- Initial revision.

